#!/bin/bash

GVS=${HOME}/Devel/FloatImg/v4l2/grabvidseq

#	------------------------------------
#	set some default values	
DEV=/dev/video2
SZ=640x480
NBRE=320
PERIOD=0.0
COUNT=compteur
OPTIONS=" -u"

#	------------------------------------
#	overide parameters from $PWD
if [ -r ./reglages ]
then
	source ./reglages
fi

#	------------------------------------
#	get the current picture number
if [ -r $COUNT ]
then
	numero=$( head -1 $COUNT )
else
	numero=1
fi

#	------------------------------------
#	make the output filename
if [ 1 -eq $# ]
then 
	outfile="$1"
else
	outfile=$( printf "P_%04d.pnm" $numero )
fi

#	------------------------------------
#	take and display the fancy picture
$GVS -d $DEV -n $NBRE -p $PERIOD $OPTIONS -s $SZ -o $outfile

if [ ${SHOW} == "yes" ]
then
	display $outfile &
fi

#	------------------------------------
#	increment and save the picture number
numero=$(( numero + 1 ))
echo $numero > $COUNT


